Page MenuHomeFreeBSD

net-mgmt/resource-agents: Update from 2.3.5 to 4.0.1
ClosedPublic

Authored by joneum on May 29 2017, 9:26 PM.

Details

Summary

PR: 219546
Submitted by: David Shane Holden (maintainer)
Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

/net-mgmt/resource-agents % portlint -AC
WARN: Makefile: [27]: possible direct use of command "sh" found. use ${SH} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere build with:

  • Build dependencies
  • Runtime dependencies
  • Library dependencies

poudriere testports:

10amd64
10i386
11amd64
11i386
12.0-CURRENT r318899 amd64
12.0-CURRENT r318400 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.May 29 2017, 9:26 PM
mat added inline comments.May 29 2017, 10:08 PM
net-mgmt/resource-agents/Makefile
21 ↗(On Diff #28985)

This is the default and should be removed.

29 ↗(On Diff #28985)

This should not be ${SH} but probably /bin/sh. ${SH} contains the current shell used by make(1) and it may not be /bin/sh at all.

miwi requested changes to this revision.May 31 2017, 2:12 PM

I agree with mat, can you please change mat's suggestion.

This revision now requires changes to proceed.May 31 2017, 2:12 PM
joneum updated this revision to Diff 29171.Jun 3 2017, 1:59 PM
joneum edited edge metadata.
  • Remove GH_PROJECT
  • Switch sh_OLD_CMD= ${SH} to sh_OLD_CMD= /bin/sh.${SH}
miwi accepted this revision.Jun 6 2017, 3:24 PM
This revision is now accepted and ready to land.Jun 6 2017, 3:24 PM
This revision was automatically updated to reflect the committed changes.